Opened 3 years ago

Closed 3 years ago

#10656 closed enhancement (fixed)

libgpg-error-1.29

Reported by: Bruce Dubbs Owned by: Bruce Dubbs
Priority: normal Milestone: 8.3
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

New minor version.

Change History (3)

comment:1 by Bruce Dubbs, 3 years ago

Owner: changed from blfs-book to Bruce Dubbs
Status: newassigned

comment:2 by Bruce Dubbs, 3 years ago

Noteworthy changes in version 1.29 (2018-04-11) [C24/A24/R0]

  • The yat2m tool is during cross-compile now also installed on the host platform.
  • New option parser and associated functions similar to the one used by GnuPG.
  • New Base-64 encoder.
  • Fixes regression in 1.28 for arm64 and w64 builds.
  • Interface changes relative to the 1.28 release:
     gpgrt_argparse                  New.
     gpgrt_usage                     New.
     gpgrt_strusage                  New.
     gpgrt_set_strusage              New.
     gpgrt_set_usage_outfnc          New.
     gpgrt_set_fixed_string_mapper   New.
     GPGRT_ENABLE_ARGPARSE_MACROS    New macro.
     gpgrt_b64enc_start              New.
     gpgrt_b64enc_write              New.
     gpgrt_b64enc_finish             New.
    

comment:3 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: assignedclosed

Fixed at revision 20080.

Note: See TracTickets for help on using tickets.